package com.huigou.topsun.customer.application;

import com.huigou.topsun.customer.domain.CustomerContact;
import com.huigou.topsun.customer.domain.query.ContactQueryRequest;
import com.huigou.topsun.customer.domain.query.CustomerQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * 分页查询客户信息数据
 */
public interface CustomerApplication {
    Map<String, Object> findCustomerByPage(CustomerQueryRequest customerQueryRequest);

    List<CustomerContact> findContactByPage(String customerId);
    void deleteContactById(String id);

    void deleteContactByIds(List<String> ids);
}
